package net.bajobongo.zerro.utils;

import java.io.*;
import java.lang.Class;

public class FileLineByLine {
	BufferedReader file;
	public FileLineByLine(String filename) {
		//System.out.println("-> " + getClass().getResourceAsStream("/plansza.svg"));
		file = new BufferedReader(new InputStreamReader(getClass().getResourceAsStream(filename)));
	}
	protected void beforeFirstLine() { }
	protected void processLine(String line) { }
	protected void afterLastLine() { }
	public void process() {
		String line;
		beforeFirstLine();
		try {
			while ((line = file.readLine()) != null) {
				processLine(line);
			}
		} catch (IOException e) {
			// NOP
		}
		afterLastLine();
	}
}

/*
public class FileLineByLine {
	BufferedReader file;
	public FileLineByLine(String filename) {
		try {
			file = new BufferedReader(new FileReader(filename));
		} catch (FileNotFoundException e) {
			// NOP
		}
	}
	protected void beforeFirstLine() { }
	protected void processLine(String line) { }
	protected void afterLastLine() { }
	public void process() {
		String line;
		beforeFirstLine();
		try {
			while ((line = file.readLine()) != null) {
				processLine(line);
			}
		} catch (IOException e) {
			// NOP
		}
		afterLastLine();
	}
}
*/
