package net.bajobongo.zerro.parkowanie;

import java.awt.*;
import net.bajobongo.zerro.geometry.Polygon;

public class Poziom {
	Car car;
	Polygon target;
	Polygon[] obstacles;
	public Color targetColor = Color.green;
	public Color obstaclesColor = Color.black;
	public Poziom(Car car, Polygon target, Polygon[] obstacles) {
		this.car = car;
		this.target = target;
		this.obstacles = obstacles;
	}
	public void draw(Graphics g) {
		g.setColor(targetColor);
		g.drawPolygon(target);
		g.setColor(obstaclesColor);
		for (int i=0; i < obstacles.length; i++) {
			g.drawPolygon(obstacles[i]);
		}
	}
}
